Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class AnnotationPropertyTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.AnnotationPropertyTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AnnotationPropertyType<T>

    public class AnnotationPropertyTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AnnotationPropertyType<T>

This class implements the `annotation-propertyType` xsd type

Original Documentation:

Used to set property values for annotations

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AnnotationPropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AnnotationPropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getPropertyName()` Returns the `property-name` element
`java.lang.String` | `getPropertyValue()` Returns the `property-value` element
`AnnotationPropertyType<T>` | `removeAllDescription()` Removes the `description` element
`AnnotationPropertyType<T>` | `removePropertyName()` Removes the `property-name` element
`AnnotationPropertyType<T>` | `removePropertyValue()` Removes the `property-value` element
`AnnotationPropertyType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`AnnotationPropertyType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`AnnotationPropertyType<T>` | `setPropertyName(java.lang.String propertyName)` If not already created, a new `property-name` element with the given value will be created.
`AnnotationPropertyType<T>` | `setPropertyValue(java.lang.String propertyValue)` If not already created, a new `property-value` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPropertyTypeImpl

    public AnnotationPropertyTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### AnnotationPropertyTypeImpl

    public AnnotationPropertyTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public AnnotationPropertyType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `AnnotationPropertyType<T>`
  Returns:
    the current instance of `AnnotationPropertyType`

### setDescriptionList

    public AnnotationPropertyType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `AnnotationPropertyType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `AnnotationPropertyType`

### removeAllDescription

    public AnnotationPropertyType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `AnnotationPropertyType<T>`
  Returns:
    the current instance of `AnnotationPropertyType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `AnnotationPropertyType<T>`
  Returns:
    list of `description`

### setPropertyName

    public AnnotationPropertyType<T> setPropertyName(java.lang.String propertyName)

  If not already created, a new `property-name` element with the given value will be created. Otherwise, the existing `property-name` element will be updated with the given value.

  Specified by:
    `setPropertyName` in interface `AnnotationPropertyType<T>`
  Returns:
    the current instance of `AnnotationPropertyType`

### removePropertyName

    public AnnotationPropertyType<T> removePropertyName()

  Removes the `property-name` element

  Specified by:
    `removePropertyName` in interface `AnnotationPropertyType<T>`
  Returns:
    the current instance of `AnnotationPropertyType`

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the `property-name` element

  Specified by:
    `getPropertyName` in interface `AnnotationPropertyType<T>`
  Returns:
    the node defined for the element `property-name`

### setPropertyValue

    public AnnotationPropertyType<T> setPropertyValue(java.lang.String propertyValue)

  If not already created, a new `property-value` element with the given value will be created. Otherwise, the existing `property-value` element will be updated with the given value.

  Specified by:
    `setPropertyValue` in interface `AnnotationPropertyType<T>`
  Returns:
    the current instance of `AnnotationPropertyType`

### removePropertyValue

    public AnnotationPropertyType<T> removePropertyValue()

  Removes the `property-value` element

  Specified by:
    `removePropertyValue` in interface `AnnotationPropertyType<T>`
  Returns:
    the current instance of `AnnotationPropertyType`

### getPropertyValue

    public java.lang.String getPropertyValue()

  Returns the `property-value` element

  Specified by:
    `getPropertyValue` in interface `AnnotationPropertyType<T>`
  Returns:
    the node defined for the element `property-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD